Subject: 29.0.50; [tree-sitter] Some functions exceed maximum recursion limit

From: Yuan Fu <[email-masked]>
Date: Sun, 20 Nov 2022 16:53:45 -0800

Emacs crashed on a very large C file when c-ts-mode is on, because
the function building the imenu list tries to walk through the whole
parse tree, and end up recusing ~10k times because of how deep the parse
tree is. These recursive functions should have a built-in limit. Does
Emacs already have some way to determined the max recursion limit on
each system? Or should we come up with some hard-coded numbers?

Yuan